<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta name="GENERATOR" content="Quadralay WebWorks Publisher Professional Edition 6.0.7" />
    <meta name="TEMPLATEBASE" content="DataDirect WWH 2.0" />
    <meta name="LASTUPDATED" content="09/05/02 10:39:58" />
    <title>jdbcsupp7.html</title>
    <link rel="StyleSheet" href="document.css" type="text/css" media="screen" />
  </head>

  <body>
    <script type="text/javascript" language="JavaScript">
     <!--
      function  WWHUpdateFavorite(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fUpdateFavorite(ParamHREF);
        }
      }

      function  WWHSyncTOC(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fSyncTOC(ParamHREF);
        }
      }

      function  WWHShowPopup(ParamContext,
                             ParamLink,
                             ParamEvent)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fShowPopup(ParamContext, ParamLink, ParamEvent);
        }
      }

      function  WWHHidePopup()
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fHidePopup();
        }
      }

      function  WWHClickedPopup(ParamContext,
                                ParamLink)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          location.href = parent.WWHelpFrameSet.fClickedPopup(ParamContext, ParamLink);
        }
      }
     // -->
    </script>

    <script type="text/javascript" language="JavaScript">
     <!--
      var  WWHelpHREF = location.href;


      WWHUpdateFavorite(WWHelpHREF);
     // -->
    </script>

    <blockquote>
<h2 id="557421" class="NewHTMLPage">
  <a name="557421"> </a>
</h2><hr />
<p id="557486" class="Body">
  <a name="557486"> </a>

<table border="1" cellpadding="5" cellspacing="0">
  <caption></caption>
  <tr bgcolor="#FFFFFF" valign="bottom">
    <th><h4 id="557427" class="Heading3">
  <a name="557427"> </a>DataSource Object  
</h4>
<a name="557428"> </a><div id="557428" class="CellHeading">Methods</div></th>
    <th><a name="557430"> </a><div id="557430" class="CellHeading">Version</div><a name="557431"> </a><div id="557431" class="CellHeading">Introduced</div></th>
    <th><a name="557433"> </a><div id="557433" class="CellHeading"><br /></div><a name="557434"> </a><div id="557434" class="CellHeading">Supported</div></th>
    <th><a name="557436"> </a><div id="557436" class="CellHeading"><br /></div><a name="557437"> </a><div id="557437" class="CellHeading">Comments</div></th>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="557439"> </a><div id="557439" class="CellBody">Connection getConnection () </div></td>
    <td bgcolor="#E6E6E6"><a name="557441"> </a><div id="557441" class="CellBody">2.0 Optional </div></td>
    <td bgcolor="#E6E6E6"><a name="557443"> </a><div id="557443" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="557445"> </a><div id="557445" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="557447"> </a><div id="557447" class="CellBody">Connection getConnection (String, String) </div></td>
    <td bgcolor="#E6E6E6"><a name="557449"> </a><div id="557449" class="CellBody">2.0 Optional</div></td>
    <td bgcolor="#E6E6E6"><a name="557451"> </a><div id="557451" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="557453"> </a><div id="557453" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="557455"> </a><div id="557455" class="CellBody">PrintWriter getLogWriter () </div></td>
    <td bgcolor="#E6E6E6"><a name="557457"> </a><div id="557457" class="CellBody">2.0 Optional</div></td>
    <td bgcolor="#E6E6E6"><a name="557459"> </a><div id="557459" class="CellBody">No </div></td>
    <td bgcolor="#E6E6E6"><a name="557461"> </a><div id="557461" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="557463"> </a><div id="557463" class="CellBody">int getLoginTimeout () </div></td>
    <td bgcolor="#E6E6E6"><a name="557465"> </a><div id="557465" class="CellBody">2.0 Optional</div></td>
    <td bgcolor="#E6E6E6"><a name="557467"> </a><div id="557467" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="557469"> </a><div id="557469" class="CellBody"> </div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="557471"> </a><div id="557471" class="CellBody">void setLogWriter (PrintWriter) </div></td>
    <td bgcolor="#E6E6E6"><a name="557473"> </a><div id="557473" class="CellBody">2.0 Optional</div></td>
    <td bgcolor="#E6E6E6"><a name="557475"> </a><div id="557475" class="CellBody">No </div></td>
    <td bgcolor="#E6E6E6"><a name="557477"> </a><div id="557477" class="CellBody"><br /></div></td>
  </tr>
  <tr valign="top">
    <td bgcolor="#E6E6E6"><a name="557479"> </a><div id="557479" class="CellBody">void setLoginTimeout (int) </div></td>
    <td bgcolor="#E6E6E6"><a name="557481"> </a><div id="557481" class="CellBody">2.0 Optional</div></td>
    <td bgcolor="#E6E6E6"><a name="557483"> </a><div id="557483" class="CellBody">Yes </div></td>
    <td bgcolor="#E6E6E6"><a name="557485"> </a><div id="557485" class="CellBody"> </div></td>
  </tr>
</table>




</p>
<p id="541952" class="Body">
  <a name="541952"> </a>
</p>
    </blockquote>

    <hr />

    <table border="0">
      <tr>
        <td width="23">
<a href="jdbcsupp6.html">
      <img alt="Previous Document" border="0" src="images/prev.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Previous Page       
        </td>
        <td width="23">
<a href="jdbcsupp8.html">
      <img alt="Next Document" border="0" src="images/next.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Next Page       
        </td>
        <td width="23">
          <a href="javascript:WWHSyncTOC(WWHelpHREF);">
            <img alt="Synchronize TOC" border="0" src="images/sync.gif" width="23" height="21" />
          </a>
        </td>
        <td width="120" class="CellBody">
        Synchronize with Contents
        </td>
      </tr>
    </table>

   <div id="WWHelpPopupDIV" style="position: absolute ; z-index: 1 ; visibility: hidden ; top: 0px ; left: 0px">
    <script type="text/javascript" language="JavaScript">
     <!--
      if ((parent != null) &&
          (parent.WWHelpFrameSet != null))
      {
        if (document.all != null)  // Non-Netscape browser
        {
          document.writeln(parent.WWHelpFrameSet.mPopup.fFormat("Popup"));
        }
      }
     // -->
    </script>
   </div>
  </body>
</html>
